pipeline {
    agent any // Or use 'dockerfile' if running in a container
//     environment {
//         Qt6_DIR='/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6'
//     }
    stages {
        stage('Clean') {
            steps {
                sh 'rm -rf build'
                echo "Cleaning branch ${env.BRANCH_NAME}"
            }
        }
        stage('Configure') {
            steps {
                // Configure CMake to generate build files in the 'build' directory
                echo "Configure project"
                sh 'mkdir build'
                //sh 'cmake -B build -S .'
            }
        }
        stage('Build') {

            steps {
                // Build the project using the generated files
                echo "Build project"
               // sh 'export Qt6Dir=/home/k4/Qt/6.10.2/lib/cmake'
                echo "See what's in the environment"
                echo "Qt Dir is ${Qt6_DIR}"
                sh 'ls -l ${Qt6_DIR}'
               // sh "export Qt6_DIR='/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6'"
              //  sh "env | grep Qt"
//                sh 'cmake -S . -B build -DCMAKE_BUILD_TYPE=Release -DQt6_DIR=/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6'
               // sh 'cmake -S . -B build -DCMAKE_BUILD_TYPE=Release '

//                 echo "See localbuild says on the environment"
//                 sh './localbuild.sh'
            }
        }

        stage('Test') {
            steps {
                // Run the executable to verify it works
                //sh './build/hello_app'
                echo "Test project"
            }
        }
    }
}
